package com.bofeng.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.SysArea;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SysAreaMapper extends BaseMapper<SysArea> {

    //暂时只显示湖北省
    List<SysArea> selectProvince();

    //暂时只显示湖北省下的城市
    List<SysArea> selectCityByProvince();

    //暂时只显示武汉市下的区
    List<SysArea> selectAreaByCity();

}
