function qiuzhu_init() {
  //统计求助及处理数据
  analyData();
  //求助信息列表
  getQZList();
}

function analyData() {
  $('#userHelpAnaly').empty();//清除节点
  $.ajax({
    url: '/wuye/userHelpAnaly',
    data: {queryDate: '2020-02-05', userId: 0},
    type: 'GET',
    success: function (data) {
      console.log(data);
      if (data.data != null && data.data != undefined) {
        hasData = true;
        makeAnalyUi(data.data);
      } else {

      }
    },
    error: function () {
    }
  });
}

function makeAnalyUi(data) {
  $('#userHelpAnaly').append($('<div class="weui-flex"> \n' +
    '                   <div class="weui-flex__item">\n' +
    '                       <div class="placeholder">已解决总数</div>\n' +
    '                       <div>' + data.totalDo + '</div>\n' +
    '                   </div>\n' +
    '                   <div class="weui-flex__item">\n' +
    '                       <div class="placeholder">已处理总数</div>\n' +
    '                       <div>' + data.totalDoing + '</div>\n' +
    '                   </div>\n' +
    '                   <div class="weui-flex__item">\n' +
    '                   <div class="placeholder">未处理总数</div>\n' +
    '                       <div>' + data.totalDonot + '</div>\n' +
    '                   </div>\n' +
    '               </div>'));
}

function getQZList() {
  $('#userHelpAnaly').empty();//清除节点
  $.ajax({
    url: '/wuye/userHelpAnaly1',
    data: {queryDate: '2020-02-05', userId: 0},
    type: 'GET',
    success: function (data) {
      console.log(data);
      if (data.data != null && data.data != undefined) {
        hasData = true;
        makeListUi(data);
      } else {

      }
    },
    error: function () {
    }
  });
}

function makeListUi(data) {
  $('#userHelpList').empty();
  $('#userHelpList').append($('<div class="weui-cells">'));
  data.data.forEach(function (v) {
    $('#userHelpList').append($('<a class="weui-cell weui-cell_access" href="javascript:;">'));
    $('#userHelpList').append($('<div class="weui-cell__bd"><p>' + v.totalDo + '</p></div>'));
    $('#userHelpList').append($('<div class="weui-cell__bd"><p>' + v.totalDoing + '</p></div>'));
    $('#userHelpList').append($('<div class="weui-cell__bd"><p>' + v.totalDonot + '</p></div>'));
    $('#userHelpList').append($('</a>'));
  });
  $('#userHelpList').append($('</div>'));
}

//我的求助的页面展示
function dateSelect() {
  weui.datePicker({
    start: 1990,
    end: 2000,
    defaultValue: [1991, 6, 9],
    onChange: function (result) {
      console.log(result);
    },
    onConfirm: function (result) {
      console.log(result);
    },
    id: 'datePicker'
  });
}
