package com.bofeng.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.Uptown;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface UptownMapper extends BaseMapper<Uptown> {

    @Select("select * from sys_uptown where status = 1 and area = #{area}")
    List<Uptown> getAllUptown(@Param("area") Integer area);
}
