package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@TableName("SYS_AREA")
public class SysAreaCom {

    @ApiModelProperty("地区ID")
    @TableId("AREA_ID")
    private Long areaId;

    @ApiModelProperty("省")
    @TableField("PROVINCE")
    private String province;

    @ApiModelProperty("市")
    @TableField("CITY")
    private String city;

    @ApiModelProperty("区")
    @TableField("AREA")
    private String area;

    @ApiModelProperty("状态:1正常,0草稿,-1删除")
    @TableField("STATUS")
    private int status;

}
