package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

@Getter
@Setter
@TableName("tb_user")
public class User {
    @TableId("user_id")
    private Long userId;

    @TableField("login_name")
    private String loginName;

    @TableField(exist = false)
    @JsonIgnore
    private String loginPwd;

    @TableField("phone")
    private String phone;

    @TableField("user_type")
    private String userType;

    @TableField("place_id")
    private Long placeId;

    //用户表没有此字段
    @TableField(exist = false)
    private String placeName;

    @TableField("staff_name")
    private String staffName;

    @TableField("version")
    private String version;

    @TableField("be_active")
    private String beActive;

    @TableField(exist = false)
    private Long loginCount;

    @TableField(exist = false)
    private DateTime lastLoginTime;


}
