package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

@Getter
@Setter
@TableName("sys_user_role")
public class UserRole {

    @TableField("ur_id")
    private Long urId;

    @TableField("user_id")
    private Long userId;

    @TableField("role_id")
    private Integer roleId;

    @TableField("property_id")
    private Long propertyId;

    @TableField("user_create")
    private Long userCreate;

    @TableField(exist = false)
    private DateTime timeCreate;

    @TableField("user_update")
    private Long userUpdate;

    @TableField(exist = false)
    private DateTime timeUpdate;
}
