package com.bofeng.service;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.bofeng.dao.QzTaskDao;
import com.bofeng.dao.RbMapper;
import com.bofeng.entity.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;


@Service
public class RbService {

    @Autowired
    private RbMapper rbMapper;

    public List<sysUptownUnit> selectAll (Long userId) {
        List<sysUptownUnit> sysUptownUnits = rbMapper.selectDY(userId);
        return sysUptownUnits;
    }

    public List<SysUptownHouse> selectXq (Long str) {
//        userId = 1224706869998772226L;
//        List<SysUptownHouse> sysUptownHouses = rbMapper.selectList(new EntityWrapper<SysUptownHouse>().eq("ridgepole",ridgepole).eq("unit",unit));
        Date date = new Date();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        String dateStr = simpleDateFormat.format(date);
        List<SysUptownHouse> sysUptownHousesss = rbMapper.selectMp(str,dateStr);
        return sysUptownHousesss;
    }

    public List<MsSuspected> selectYcXq (Long houseId) {
        Date date = new Date();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        String dateStr = simpleDateFormat.format(date);
        List<MsSuspected> sysUptownHouses = rbMapper.selectYcXq(houseId,dateStr);
        if(sysUptownHouses.size() !=0){
            for (int i = 0; i < sysUptownHouses.size(); i++) {

                Integer cough = sysUptownHouses.get(i).getCough();
                if(cough != null && cough == 0){
                    sysUptownHouses.get(i).setCoughStr("无咳嗽");
                }else if(cough != null && cough ==1){
                    sysUptownHouses.get(i).setCoughStr("偶尔短暂咳嗽");
                }else if(cough != null && cough ==2){
                    sysUptownHouses.get(i).setCoughStr("咳嗽轻度影响生活");
                }else if(cough != null && cough ==3){
                    sysUptownHouses.get(i).setCoughStr("咳嗽严重影响生活");
                }
                Integer muscle = sysUptownHouses.get(i).getMuscle();
                if(muscle != null && muscle==0){
                    sysUptownHouses.get(i).setMuscleStr("无肌肉酸痛");
                }else if(muscle != null && muscle ==1){
                    sysUptownHouses.get(i).setMuscleStr("肌肉按压有酸痛");
                }else if(muscle != null && muscle ==2){
                    sysUptownHouses.get(i).setMuscleStr("偶尔肌肉按压酸痛");
                }else if(muscle != null && muscle ==3){
                    sysUptownHouses.get(i).setMuscleStr("肌肉按压持续酸痛");
                }
                Integer dyspnea = sysUptownHouses.get(i).getDyspnea();
                if(dyspnea != null && dyspnea ==0){
                    sysUptownHouses.get(i).setDyspneaStr("无呼吸困难");
                }else if(dyspnea != null && dyspnea ==1){
                    sysUptownHouses.get(i).setDyspneaStr("呼吸急走或上坡气短");
                }else if(dyspnea != null && dyspnea ==2){
                    sysUptownHouses.get(i).setDyspneaStr("呼吸气短而走路变慢");
                }else if(dyspnea != null && dyspnea ==3){
                    sysUptownHouses.get(i).setDyspneaStr("呼吸走路数分钟后气短");
                }else if(dyspnea != null && dyspnea ==4){
                    sysUptownHouses.get(i).setDyspneaStr("呼吸气短无法离开房间");
                }
                Integer fatigue = sysUptownHouses.get(i).getFatigue();
                if(fatigue !=null && fatigue == 0){
                    sysUptownHouses.get(i).setFatigueStr("无乏力");
                }else if(fatigue !=null && fatigue == 1){
                    sysUptownHouses.get(i).setFatigueStr("可体力劳动但觉得累");
                }else if(fatigue !=null && fatigue == 2){
                    sysUptownHouses.get(i).setFatigueStr("轻体力劳动后长时间不能恢复");
                }else if(fatigue !=null && fatigue == 3){
                    sysUptownHouses.get(i).setFatigueStr("不能正常生活");
                }
                Integer diarrhea = sysUptownHouses.get(i).getDiarrhea();
                if(diarrhea !=null && diarrhea == 0){
                    sysUptownHouses.get(i).setDiarrheaStr("无腹泻");
                }else if(diarrhea !=null && diarrhea == 1){
                    sysUptownHouses.get(i).setDiarrheaStr("轻度腹泻少于于3次");
                }else if(diarrhea !=null && diarrhea == 2){
                    sysUptownHouses.get(i).setDiarrheaStr("中度腹泻4-6次");
                }else if(diarrhea !=null && diarrhea == 3){
                    sysUptownHouses.get(i).setDiarrheaStr("重度腹泻超过6次");
                }
                Integer singleRoom = sysUptownHouses.get(i).getSingleRoom();
                if(singleRoom != null && singleRoom ==0 ){
                    sysUptownHouses.get(i).setSingleRoomStr("没有单间隔离");
                }else if(singleRoom != null && singleRoom == 1){
                    sysUptownHouses.get(i).setSingleRoomStr("单间隔离");
                }

                sysUptownHouses.get(i).setZhengzhuang(sysUptownHouses.get(i).getCoughStr()+","+sysUptownHouses.get(i).getMuscleStr()+","+sysUptownHouses.get(i).getDyspneaStr()
                        +","+sysUptownHouses.get(i).getFatigueStr()+","+sysUptownHouses.get(i).getDiarrheaStr()+","+sysUptownHouses.get(i).getSingleRoomStr());
            }
        }

        return sysUptownHouses;
    }

    public List<MsSuspected> selecthuiz(Long userId,String reportDate) {
        List<MsSuspected> huiz = rbMapper.selecthuiz(userId,reportDate);
        return huiz;
    }
}
